{% extends 'base.html.twig' %}

{% block title %}{{ 'user.badges.head.title'|trans({'%app_name%': 'app.name'|trans})|raw }}{% endblock %}

{% block body %}
    <div class="container">
        <div class="row">
            <div class="col-lg-9">
                <h1 class="text-center mb-4">{{ 'user.badges.title'|trans|raw }}</h1>

                {% for userBadge in userBadges %}
                    {% set rate = userBadge.value / userBadge.badge.value %}

                    <div class="mb-5">
                        <h2>{{ userBadge.badge.name }}</h2>
                        <p>{{ userBadge.badge.description }}</p>
                        <div class="progress">
                            <div class="progress-bar{% if userBadge.isWin %} bg-success{% else %} {% if rate < 0.5 %}bg-info{% else %}bg-warning{% endif%} progress-bar-striped progress-bar-animated{% endif %}" role="progressbar" style="width: {{ rate|format_percent_number(locale='en') }}" aria-valuenow="{{ userBadge.value }}" aria-valuemin="0" aria-valuemax="10">{{ userBadge.value }}</div>
                        </div>
                    </div>
                {% endfor %}
            </div>

            <div class="col-lg-3">
                {{ include('layout/deal-hot-day-list.html.twig') }}
            </div>
        </div>
    </div>
{% endblock %}
